Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.spi
Interface SchedulerPlugin

All Known Implementing Classes:
  JobInitializationPlugin, JobInitializationPluginMultiple, LoggingJobHistoryPlugin, LoggingTriggerHistoryPlugin, ShutdownHookPlugin

public interface SchedulerPlugin

Provides an interface for a class to become a "plugin" to Quartz.

Plugins can do virtually anything you wish, though the most interesting ones will obviously interact with the scheduler in some way - either actively: by invoking actions on the scheduler, or passively: by being a `JobListener`, `TriggerListener`, and/or `SchedulerListener`.

If you use ``StdSchedulerFactory`` to initialize your Scheduler, it can also create and initialize your plugins - look at the configuration docs for details.

Author:
  James House

Method Summary
`void` | `initialize(String name, Scheduler scheduler)` Called during creation of the `Scheduler` in order to give the `SchedulerPlugin` a chance to initialize.
`void` | `shutdown()` Called in order to inform the `SchedulerPlugin` that it should free up all of it's resources because the scheduler is shutting down.
`void` | `start()` Called when the associated `Scheduler` is started, in order to let the plug-in know it can now make calls into the scheduler if it needs to.

Method Detail

### initialize

    public void initialize(String name,
                           Scheduler scheduler)
                    throws SchedulerException

  Called during creation of the `Scheduler` in order to give the `SchedulerPlugin` a chance to initialize.

  At this point, the Scheduler's `JobStore` is not yet initialized.

  Parameters:
    `name` - The name by which the plugin is identified.
    `scheduler` - The scheduler to which the plugin is registered.
  Throws:
    `SchedulerConfigException` - if there is an error initializing.
    `SchedulerException`

### start

    public void start()

  Called when the associated `Scheduler` is started, in order to let the plug-in know it can now make calls into the scheduler if it needs to.

### shutdown

    public void shutdown()

  Called in order to inform the `SchedulerPlugin` that it should free up all of it's resources because the scheduler is shutting down.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD